#
# Cookbook:: grafana
# Resource:: config_unified_alerting
# Copyright:: 2021, Sous Chefs
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

unified_mode true

use 'partial/_config_file'

property :enabled, [true, false],
          default: false

property :admin_config_poll_interval_seconds, Integer

property :ha_listen_address, String,
          default: '0.0.0.0:9094'

property :ha_peers, String

property :ha_advertise_address, String

property :ha_peer_timeout, String,
          default: '15s'

def resource_config_path_override
  %w(unified_alerting)
end
